JavaScript
import { Configuration, RunApi } from 'autotab';
const runClient = new RunApi(new Configuration({
apiKey: process.env['AUTOTAB_API_KEY'],
}));
async function main() {
const run = await runClient.start({
runSkillRequest: {
skillId: "skill_fe517503-384a-45c5-87a3-94f98126e626"
}
});
console.log("result:", run);
}
main();import autotab
from autotab import RunSkillRequest
from autotab.rest import ApiException
client = autotab.Client(
autotab.Configuration(
api_key = os.environ["AUTOTAB_API_KEY"]
)
)
try:
run = await autotab.RunApi(client).start(
run_skill_request=RunSkillRequest(
skill_id="skill_a6738f77-afc2-454e-a6d6-207caa8d145f",
inputs={
"query": "OpenAI news"
}
)
)
except ApiException as e:
print(f"Exception: {e})curl --request POST \
--url https://api.autotab.com/v1/run/ \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"skill_id": "<string>",
"inputs": {}
}
'
{
"id": "<string>",
"skill_id": "<string>",
"owner": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"start_time": "2023-11-07T05:31:56Z",
"name": "<string>",
"end_time": "2023-11-07T05:31:56Z",
"inputs": {},
"data": {},
"video_url": "<string>"
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}Run
Start
POST
/
run
/
JavaScript
import { Configuration, RunApi } from 'autotab';
const runClient = new RunApi(new Configuration({
apiKey: process.env['AUTOTAB_API_KEY'],
}));
async function main() {
const run = await runClient.start({
runSkillRequest: {
skillId: "skill_fe517503-384a-45c5-87a3-94f98126e626"
}
});
console.log("result:", run);
}
main();import autotab
from autotab import RunSkillRequest
from autotab.rest import ApiException
client = autotab.Client(
autotab.Configuration(
api_key = os.environ["AUTOTAB_API_KEY"]
)
)
try:
run = await autotab.RunApi(client).start(
run_skill_request=RunSkillRequest(
skill_id="skill_a6738f77-afc2-454e-a6d6-207caa8d145f",
inputs={
"query": "OpenAI news"
}
)
)
except ApiException as e:
print(f"Exception: {e})Authorizations
Your Autotab API key
Response
RunSession · object | null
Successful Response
Available options:
client, cloud Available options:
play, pause, finish, reset, cancel, timeout, editing ⌘I